Translation hints error - Region of Terror BG2 mod

Multi-language server and extension for vscode-based editors. Supports various Infinity Engine and Fallout syntaxes.
Roberciiik
Posts: 8
Joined: Wed Feb 01, 2023 9:47 am

Re: Translation hints error - Region of Terror BG2 mod

Post by Roberciiik »

Agreed. But most IE projects are developed on Windows, I assume. Also, the WeiDU itself works correctly with uppercase files, so no one cares... And to use the plugin features, I would need to change all files to lowercase - it is not helpful when working with many old projects. It is a common practice to use uppercase for all files, similar as the game does. Even on Linux, if a file is uppercased it will work. The only issue is when potentially there are two translation files with upper/lower cased names in the same dir under Linux. 

EDIT: At least it could work that way on Windows.
User avatar
Magus
Site Admin
Posts: 496
Joined: Mon Nov 21, 2016 9:13 am
Contact:

Re: Translation hints error - Region of Terror BG2 mod

Post by Magus »

Roberciiik wrote: Thu Feb 02, 2023 2:54 pm Even on Linux, if a file is uppercased it will work
It won't. So it is actually quite helpful to Linux users.
Please do not PM or email me about my mods and projects. Use forums. Also, see our talk channels.
Roberciiik
Posts: 8
Joined: Wed Feb 01, 2023 9:47 am

Re: Translation hints error - Region of Terror BG2 mod

Post by Roberciiik »

It won't. So it is actually quite helpful to Linux users.
Ohh, never thought this way... It seems many, so many modifications would fail during the installation on Linux because of this.

Nevertheless, I'm OK to restrict the behavior to Linux, but it could still support uppercase on Windows, the same way as WeiDU does. Even a switch button or a new property in the plugin configuration would be great to enable old projects. Please consider this feature.

Thanks!
User avatar
Magus
Site Admin
Posts: 496
Joined: Mon Nov 21, 2016 9:13 am
Contact:

Re: Translation hints error - Region of Terror BG2 mod

Post by Magus »

Roberciiik wrote: Thu Feb 02, 2023 4:03 pm Ohh, never thought this way... It seems many, so many modifications would fail during the installation on Linux because of this
Exactly.
Roberciiik wrote: Thu Feb 02, 2023 4:03 pm Nevertheless, I'm OK to restrict the behavior to Linux, but it could still support uppercase on Windows, the same way as WeiDU does.
What good would that do? Mods would still fail to install on Linux.

Ask yourself this: whatever you're working on, do you care about Linux users, are you planning to make it Linux-friendly? If yes, you'll have to lowercase. No question and no way around it. May as well deal with it right now.

Your request is noted, but my opinion is unchanged at this time.
Please do not PM or email me about my mods and projects. Use forums. Also, see our talk channels.
Roberciiik
Posts: 8
Joined: Wed Feb 01, 2023 9:47 am

Re: Translation hints error - Region of Terror BG2 mod

Post by Roberciiik »

Ask yourself this: whatever you're working on, do you care about Linux users, are you planning to make it Linux-friendly? If yes, you'll have to lowercase. No question and no way around it. May as well deal with it right now.
Sure, I can do that for some modifications that I am working on as a modder (i.e. Region of Terror). However, I also do translations, and some of the projects are not on GitHub, so I cannot simply create a pull request to change the filenames. In such cases, the VS Code support would be essential. 

Hoping the next version will get uppercase support either way. 

Thanks!
Post Reply